Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
vlc no longer plays opus audio
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Multimedia
View previous topic :: View next topic  
Author Message
darkphader
Veteran
Veteran


Joined: 09 May 2002
Posts: 1163
Location: Motown

PostPosted: Sun Dec 10, 2017 5:07 pm    Post subject: vlc no longer plays opus audio Reply with quote

VLC (2.8.8 currently installed) no longer outputs opus audio, other formats are fine and other apps output opus audio just fine as well.

Anyone else seeing this? Fix?
_________________
A mouse is a device used to point at the xterm you want to type in.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16916
Location: here

PostPosted: Sun Dec 10, 2017 5:14 pm    Post subject: Reply with quote

opus use flag is active? You updated some package that can break vlc?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
darkphader
Veteran
Veteran


Joined: 09 May 2002
Posts: 1163
Location: Motown

PostPosted: Sun Dec 10, 2017 5:52 pm    Post subject: Reply with quote

As always, opus flags are in use (globally). All opus related builds and vlc have been remerged, problem still exists. Mplayer, audacious, etc. all output opus just fine (and vlc did once as well).
_________________
A mouse is a device used to point at the xterm you want to type in.
Back to top
View user's profile Send private message
darkphader
Veteran
Veteran


Joined: 09 May 2002
Posts: 1163
Location: Motown

PostPosted: Sun Dec 10, 2017 6:10 pm    Post subject: Reply with quote

After further testing I discovered the problem is not with opus audio files (which play fine) but with opus audio tracks embedded in mkv files (but which do work with other apps).
_________________
A mouse is a device used to point at the xterm you want to type in.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 5572
Location: Austria

PostPosted: Sun Dec 10, 2017 6:38 pm    Post subject: Reply with quote

When you downgrade now to 2.2.6-r2, does it work?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
darkphader
Veteran
Veteran


Joined: 09 May 2002
Posts: 1163
Location: Motown

PostPosted: Sun Dec 10, 2017 6:56 pm    Post subject: Reply with quote

asturm wrote:
When you downgrade now to 2.2.6-r2, does it work?

No, already tried that.
Noticed another oddity, starting the playback of an mkv from a terminal always displays:
Code:
core demux error: corrupt module: /usr/lib64/vlc/plugins/demux/libmkv_plugin.so
both for working and non-working (opus embedded audio) files.

Remerged matroska and vlc again but that did not help.
_________________
A mouse is a device used to point at the xterm you want to type in.
Back to top
View user's profile Send private message
darkphader
Veteran
Veteran


Joined: 09 May 2002
Posts: 1163
Location: Motown

PostPosted: Mon Dec 11, 2017 1:58 am    Post subject: Reply with quote

Turned out to be an issue with libebml. In trying some remerging I ran across a problem rebuilding mkvtoolnix - https://bugs.gentoo.org/638244 and after rebuilding dev-libs/libebml I was able to build mkvtoolnix and after rebuilding vlc the mkv embedded opus audio plays and the"corrupt module" error is gone.
_________________
A mouse is a device used to point at the xterm you want to type in.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Multimedia All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum